Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queries.function.valuesource
Class BoolFunction

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.BoolFunction

Direct Known Subclasses:
  IfFunction, MultiBoolFunction, SimpleBoolFunction

    public abstract class BoolFunction

extends ValueSource

Abstract parent class for those `ValueSource` implementations which apply boolean logic to their values

Constructor Summary
`BoolFunction()`

Method Summary

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`createWeight, description, equals, getSortField, getValues, hashCode, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoolFunction

    public BoolFunction()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.